package com.care.installation.vo;



import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Data
public class DeviceInstallationVO {

    private Long id;

    @ApiModelProperty("设备编码")
    private String devCode;

    @ApiModelProperty("设备名称(标签)")
    private String devName;

    @ApiModelProperty("房屋ID")
    private Long houseId;

    @ApiModelProperty("房屋地址")
    private String houseAddr;

    @ApiModelProperty("经度")
    private Double longitude;

    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("设备场景：1客厅，2卫浴，3卧室，4其他")
    private String devScene;

    @ApiModelProperty("关联用户ID")
    private Long memberId;

    @ApiModelProperty("关联用户号码")
    private String memberPhone;


}
