package com.care.installation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 门信息(RoomGateVO)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-08-28 15:48:27
 */

@Data
@ApiModel(value = "门信息", description = "")
public class RoomGateVO implements Serializable {
    private static final long serialVersionUID = -61193632066929881L;

    private Long id;


    @ApiModelProperty("门ID")
    private Integer gid;


    @ApiModelProperty("房间ID")
    private String roomId;


    @ApiModelProperty("初始位置(0,1,2,3)")
    private Integer direction;


    @ApiModelProperty("长(m)")
    private Double length;


    @ApiModelProperty("宽(m)")
    private Double width;


    @ApiModelProperty("高(m)")
    private Double height;

    @ApiModelProperty("mqtt返回配置结果")
    private String ack;

    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


}
